# Retrieve transfer options

`POST /accounts/{accountID}/transfer-options`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Generate available payment method options for one or multiple transfer participants depending on the accountID or paymentMethodID you 
supply in the request body.

The accountID in the route should the partner's accountID.

Read our [transfers overview guide](https://docs.moov.io/guides/money-movement/overview/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/transfers.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes | The partner's Moov account ID. |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `source` | object | Yes |  |
| `source.accountID` | string |  |  |
| `source.paymentMethodID` | string |  |  |
| `destination` | object | Yes |  |
| `destination.accountID` | string |  |  |
| `destination.paymentMethodID` | string |  |  |
| `amount` | object | Yes |  |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.value` | integer (int64) | Yes | Quantity in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `sourceOptions` | array of object |  |  |
| `sourceOptions[].paymentMethodID` | string (uuid) |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. ID of the payment method. |
| `sourceOptions[].paymentMethodType` | string |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Values: `moov-wallet`. |
| `sourceOptions[].wallet` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. |
| `sourceOptions[].bankAccount` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. A bank account as contained within a payment method. |
| `sourceOptions[].card` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. A card as contained within a payment method. |
| `sourceOptions[].applePay` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes an Apple Pay token on a Moov account. |
| `sourceOptions[].terminalCard` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes payment card details captured with tap or in-person payment. |
| `sourceOptions[].googlePay` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes a Google Pay token on a Moov account. |
| `destinationOptions` | array of object |  |  |
| `destinationOptions[].paymentMethodID` | string (uuid) |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. ID of the payment method. |
| `destinationOptions[].paymentMethodType` | string |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Values: `moov-wallet`. |
| `destinationOptions[].wallet` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. |
| `destinationOptions[].bankAccount` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. A bank account as contained within a payment method. |
| `destinationOptions[].card` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. A card as contained within a payment method. |
| `destinationOptions[].applePay` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes an Apple Pay token on a Moov account. |
| `destinationOptions[].terminalCard` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes payment card details captured with tap or in-person payment. |
| `destinationOptions[].googlePay` | object |  | Send exactly one of `paymentMethodID`, `paymentMethodType`, `wallet`, `bankAccount`, `card`, `applePay`, `terminalCard`, `googlePay`. Describes a Google Pay token on a Moov account. |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X POST "https://api.moov.io/accounts/{accountID}/transfer-options" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "source": {},
  "destination": {},
  "amount": {
    "currency": "USD",
    "value": 1204
  }
}'
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.generateOptions({
    accountID: "deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04",
    createTransferOptions: {
      source: {},
      destination: {},
      amount: {
        currency: "USD",
        value: 1204,
      },
    },
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/money-movement/transfers/options/
